%global svn_rev 721
%global svndate 20080726
%global momorel 1

Name: x264
Version: 0.0.%{svn_rev}
Release: 0.%{svndate}.%{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
Summary: Library for encoding and decoding H264/AVC video streams
Source0: ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{svndate}-2245.tar.bz2 
NoSource: 0
URL: http://www.videolan.org/x264.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libX11-devel, nasm, yasm >= 0.7, gtk2-devel >= 2.6
BuildRequires: gpac-devel
# version.sh requires svnversion
BuildRequires: subversion
AutoProv: 1
AutoReq: 1

%description
Utility and library for encoding H264/AVC video streams, completely
written from scratch.

%package devel
Group: Applications/Multimedia
Summary: Development files for the x264 library
AutoProv: 1
AutoReq: 1
Requires: %{name} = %{version}
%description devel
This package contains the files required to develop programs that will encode H264/AVC video streams using the x264 library.

%package gtk
Summary: GTK x264 frontend
Group: Applications/Multimedia

%description gtk
Graphical utility for encoding H264/AVC video streams.


%package gtk-devel
Summary: Development files for the GTK x264 frontend
Group: Development/Libraries
Requires: %{name}-gtk = %{version}-%{release}, pkgconfig

%description gtk-devel
This package contains the files required to develop programs that will encode
H264/AVC video streams using the x264 graphical utility.

%prep
%setup -q -n %{name}-snapshot-%{svndate}-2245
# AUTHORS file is in iso-8859-1
iconv -f iso-8859-1 -t utf-8 -o AUTHORS.utf8 AUTHORS
mv -f AUTHORS.utf8 AUTHORS
# configure hardcodes X11 lib path
%{__perl} -pi -e 's|/usr/X11R6/lib |/usr/X11R6/%{_lib} |g' configure

%build
%configure \
    --enable-pthread \
    --enable-gtk \
    --enable-pic \
    --enable-shared \
    --extra-cflags="%{optflags}" \
    --enable-visualize \
    --enable-mp4-output
%make

%install
rm -rf %{buildroot}
%makeinstall

%find_lang x264_gtk

# remove
rm -rf doc/.svn

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING doc
%{_bindir}/x264
%{_libdir}/libx264.so.*

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/libx264.a
%{_libdir}/libx264.so
%{_libdir}/pkgconfig/x264.pc
%{_includedir}/x264.h

%files gtk -f x264_gtk.lang
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING
%{_bindir}/x264_gtk_encode
%{_libdir}/libx264gtk.so.*
%{_datadir}/x264/x264.png

%files gtk-devel
%defattr(-, root, root, 0755)
%doc doc/*.txt
%{_includedir}/x264_gtk.h
%{_includedir}/x264_gtk_enum.h
%{_libdir}/pkgconfig/x264gtk.pc
%{_libdir}/libx264gtk.a
%{_libdir}/libx264gtk.so

%changelog
* Sun Jul 27 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.721-0.20080726.1m)
- update 20080726

* Fri Jul  4 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.0.721-0.20080703.3m)
- rebuild against yasm-0.7.1

* Fri Jul  4 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.0.721-0.20080703.2m)
- if x86_64, use --disable-asm

* Fri Jul  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.721-0.20080703.1m)
- update 20080703

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.721-0.20080531.1m)
- update 20080531

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.721-0.20080503.1m)
- update 20080503

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.721-0.20080123.3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.721-0.20080123.2m)
- %%NoSource -> NoSource

* Fri Jan 25 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.721-0.20080123-1m)
- svn update

* Thu Dec 20 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.712-0.20071219-1m)
- update to snapshot 20071220 (svn-712)

* Fri Apr 06 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.644-0.20070404.2m)
- build with "--enable-mp4-output"

* Thu Apr 05 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.644-0.20070404.1m)
- update to snapshot 20070404 (svn-644)
- add gtk subpackage

* Wed May 24 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.523-2m)
- disabled visualize since ffmpeg(libavcodec) built with x264 support causes a runtime error if x264 is built with "--enable-visualize". This option also make it impossible to build mplayer with x264 support
- update to snapshot 20060523

* Fri May 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.0.523-1m)
- update to rev. 523 (snapshot 20060517 at videolan.org)

* Wed Apr 19 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.502-1m)
- update to svn rev. 502
- delete TODO from %%doc

* Sun Feb 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.440-1m)
- update to svn rev. 440
- delete xorg-x11-devel from BuildRequires
- add %%{_libdir}/pkgconfig/x264.pc to devel files section

* Thu Nov 03 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.352-1m)
- update to svn rev. 352

* Fri Oct 28 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.342-1m)
- update to svn rev. 342

* Sun Oct 16 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.333-1m)
- update to svn rev. 333

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.330-1m)
- update to svn rev. 330

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.328-1m)
- update to svn rev. 328

* Mon Oct 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.326-1m)
- update to svn rev. 326

* Sun Sep 18 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.293-1m)
- update to svn rev. 293
- add %%configure and iconv for AUTHORS file
- add yasm build requirement (needed on x86_64).
- Replace X11 lib with lib/lib64 to fix x86_64 build.
  < http://dries.studentenweb.org/rpm/packages/x264/x264-spec.html
  
- (0.0.237-1m)
- update to svn rev. 237 (can not compile version by config.mak)
- add BuildRequires: subversion for version.sh using `svnversion .'

* Mon May 23 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.235-1m)
- update to svn rev. 235 (can not compile version by config.mak)

* Sat May 21 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.234-1m)
- update to svn rev. 234

* Sat May 07 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.220-1m)
- import to Momonga from http://apt.oldconomy.com/SRPMS.oc/x264-svn_20050319-1.oc.src.rpm
